LINUX.ORG.RU

Релиз LiteTran 1.0

 , , ,


6

3

Сегодня состоялся релиз LiteTran 1.0. Если кто не в курсе, это программа для перевода текстов. Ключевые особенности:

  • Перевод текста по выделению - выделите текст, нажмите Alt+T и получите перевод
  • Удобный и простой интерфейс
  • Поддержка вариантов перевода одного слова
  • Поддержка произношения текста
  • Приложение можно прятать в трей

По сравнению с бета-версией были следующие изменения:

  • Исправлено произношение текста, которое не работало на Windows
  • Добавлены варианты перевода
  • Нажатие кнопки copy теперь копирует весь текст, а не только выделенный
  • Различные улучшения в пользовательском интерфейсе

Программа написана на Qt >= 5.0.2 и собирается с использованием CMake. На данный момент работает в Linux (потенциально должно работать на любой платформе через X11) и Windows. Версия для Mac OS пока в разработке.

Также я хочу поблагодарить следующих людей за помощь:

  • Y - работа по портированию на OS X
  • proDOOMman - пакеты для ubuntu

Ссылки к новости

Релиз

Демонстрация использования

Скриншоты: Раз два три четыре

>>> Подробности

Хорошая, нужная программа.

anonymous ()

мои поздравления амигос =)

MikeDM ★★★★★ ()

Спасибо. Попробую.

Deleted ()

Каким образом осуществляется перевод? Какие механизмы задействованы? Чьи то API?

Hertz ★★★★★ ()
Ответ на: комментарий от Hertz

Это уже вопрос к автору. Работает это через гуглотранслейт.

LightDiver ★★★★★ ()

пакеты для ubuntu

А для Linux есть?

NaN ()

Отлично. Мои поздравления (:
В aur есть она?

yacuken ★★★★ ()
Ответ на: комментарий от flareguner

О как хорошо. Как доберусь до ноута обязательно посмотрю. Спасибо (:

yacuken ★★★★ ()
Ответ на: комментарий от muhas

Оно умеет переводить выделенный текст, не загораживая всё приложение своим окном? А работать в KDE или Windows?

flareguner ()

Нужно, молодцы. Было бы замечательно добавить другие сервисы перевода.

Ros ()
Ответ на: комментарий от Ros

Было время, когда гугл закрыл апи, работало через что-то другое. Но сейчас гугл - лучший перевод. Ну, по крайней мере из тех что я использовал.

LightDiver ★★★★★ ()
Ответ на: комментарий от LightDiver

Действительно.

hz@d64~/s/litetran> grep -e "google" -r src/
src/translate.h:#define TRANSLATOR_URL "http://www.translate.google.com/translate_a/t"
src/pronounce.h:#define TTS_URL "http://translate.google.com/translate_tts"

Hertz ★★★★★ ()
Ответ на: комментарий от Ros

Я делал что-то подобное но потом забил ибо стало лень, да и не особо все эти функции нужны.

flareguner ()

Странно, что не fallout4all эту новость разместил.

anonymous ()
Ответ на: комментарий от flareguner

забил ибо стало лень, да и не особо все эти функции нужны

А ты не для себя, ты для сообщества делай!

anonymous ()
Ответ на: комментарий от gosha36

оно только в нормальном de и работает

твоих критериев нормальности я не знаю

muhas ★★★ ()
Ответ на: комментарий от anonymous

Да вы все анонимусы одинаковые. Полезная штука, да. Только тянет за собой шлейф из библиотек больше, чем сама программа.

anonymous ()
Ответ на: комментарий от anonymous

Ну, для тех, у кого есть Qt, это не такая уж и проблема. А под винду надо бы сделать статику...

flareguner ()

Еще б offline работа, цены бы программе не было...

eReSik ★★ ()
Ответ на: комментарий от Hertz

У меня вот проблема при сборке, не знаю как пофиксить.

Debian jessie.

Пробовал ставить зависимости qt5, необходимые для сборки, из sid/experimental, но не помогает.

При сборке, при выполнении make выплёвывает

make[2]: /usr/lib/lib/x86_64-linux-gnu/qt5/bin/lrelease: Command not found
Нашёл багрепорт в дебиане https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=738196 а как пофиксить не понимаю.

Deleted ()
Последнее исправление: WiZ_Ed (всего исправлений: 1)
Ответ на: комментарий от eReSik

Кстати о сусликах. Андроидная версия гуглотранслейта умеет не только офлайн, но еще и переводить картинки. Вот бы вытащить это в сабжевую софтину, вот тогда бы цены не было.

LightDiver ★★★★★ ()
Ответ на: комментарий от anonymous

Я искренне не понимаю, зачем такое нужно, когда переводчик гугла в любом браузере работает? Такие вещи сейчас модно и правильней называть webapps...

bohm ★★★★★ ()
Последнее исправление: bohm (всего исправлений: 1)
Ответ на: комментарий от LightDiver

У меня нет девайса для mitmproxy. Но если расхачишь - может добавлю.

flareguner ()
Ответ на: комментарий от bohm

А ты бы попробовал сначала, а потом бы и понимать начал.

LightDiver ★★★★★ ()
Ответ на: комментарий от flareguner

Там двойной lib/lib в пути.

Сделал некрасивый симлинк

sudo ln -s /usr/lib/ /usr/lib/lib

Deleted ()

Подождём deb пакетов. Если не дождёмся - значит оно нам не надо.

#обычный юзер.

anonymous ()

Посмотрел, хорошая вещь, наверное многим пригодится. Спасибо!

mbivanyuk ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.